/*********************************************************************
----------------------------------------------------------------------
File    : main.c
Purpose : Sample program for STM3240G-EVAL with LEDs and SWO
--------- END-OF-HEADER --------------------------------------------*/

#include <stdio.h>
#include "BSP.h"

/*********************************************************************
*       _Delay
*/
static void _Delay(void) {
  volatile int i;

  i = 1000*1000;
  while (i--);
}

/*********************************************************************
*
*       main
*
*********************************************************************/

int main(void) {
  BSP_Init();                      /* Initialize LED ports          */
  BSP_SetLED(0);
#if DEBUG
  printf("emIDE Blinky_STM32 sample project.\n");
#endif
  while (1) {
    BSP_ToggleLED(1);
#if DEBUG
    printf("LED toggled\n");
#endif
    _Delay ();
  }
  return 0;
}

